import 'package:flutter/foundation.dart';

@immutable
class InclusiveInfoModel {
  const InclusiveInfoModel({
    required this.areAccommodationsRequired,
    required this.accommodationsDetails,
  });

  factory InclusiveInfoModel.fromJson(Map<String, dynamic> json) {
    return InclusiveInfoModel(
      areAccommodationsRequired:
          json['requires_accommodations'] as bool? ?? false,
      accommodationsDetails: json['accommodation_details'] as String? ?? '',
    );
  }

  final bool areAccommodationsRequired;
  final String accommodationsDetails;

  Map<String, dynamic> toJson() {
    return {
      'requires_accommodations': areAccommodationsRequired,
      'accommodation_details': accommodationsDetails,
    };
  }
}
